%define upstream_name    Digest-CRC
%define upstream_version 0.24

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Generic CRC functions
License:    Public Domain
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
The Digest::CRC module calculates CRC sums of all sorts. It contains wrapper
functions with the correct parameters for CRC-CCITT, CRC-16 and CRC-32.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%dir %{perl_vendorarch}/auto/Digest/CRC
%{perl_vendorarch}/auto/Digest/CRC/*.so
%{perl_vendorarch}/Digest/CRC.pm
%{_mandir}/*/*

%changelog
* Sun Jul 17 2022 tv <tv> 0.240.0-1.mga9
+ Revision: 1869243
- update to 0.24

* Tue Jun 07 2022 umeabot <umeabot> 0.230.0-4.mga9
+ Revision: 1861787
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.230.0-3.mga9
+ Revision: 1795676
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.230.0-2.mga9
+ Revision: 1726558
- Rebuild for perl 5.34

* Mon Apr 19 2021 tv <tv> 0.230.0-1.mga9
+ Revision: 1716868
- update to 0.23

* Wed Jun 17 2020 umeabot <umeabot> 0.210.0-12.mga8
+ Revision: 1594550
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.210.0-11.mga8
+ Revision: 1529448
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.210.0-10.mga8
+ Revision: 1433535
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.210.0-9.mga7
+ Revision: 1292814
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.210.0-8.mga7
+ Revision: 1249127
- Rebuild for perl 5.28

* Wed Aug 08 2018 pterjan <pterjan> 0.210.0-7.mga7
+ Revision: 1249081
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.210.0-6.mga7
+ Revision: 1164076
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.210.0-5.mga7
+ Revision: 1148860
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.210.0-4.mga7
+ Revision: 1126564
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.210.0-3.mga6
+ Revision: 1025762
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.210.0-2.mga6
+ Revision: 957184
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.210.0-1.mga6
+ Revision: 843754
- update to 0.21

* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-8.mga5
+ Revision: 750336
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.180.0-7.mga5
+ Revision: 684358
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.180.0-6.mga5
+ Revision: 631112
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.180.0-5.mga4
+ Revision: 524287
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.180.0-4.mga4
+ Revision: 430662
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-3.mga3
+ Revision: 365919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.180.0-2.mga3
+ Revision: 250555
- rebuild for perl 5.16

* Mon Nov 14 2011 jquelin <jquelin> 0.180.0-1.mga2
+ Revision: 167635
- update to 0.18
- update to 0.17

* Sat Jun 11 2011 sander85 <sander85> 0.160.0-2.mga2
+ Revision: 104206
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 30153
- mageia rebuild
- imported package perl-Digest-CRC

